package projectzombie.menu.gui;

import gl_engine.matrix.Matrix4;
import gl_engine.vec.Vec2d;

public interface GUIComponent
{
	public void render(Matrix4 matrix, Vec2d mousePos, boolean canHover);
	public void update(Vec2d mousePos);
	
	public boolean checkMouseHover(Vec2d mousePos);
	
	public void onScroll(Vec2d mousePos, double amount);
	public void onRightClick(Vec2d mousePos);
	public void onMouseClick(Vec2d mousePos);
	public void onActivate();
	public void onBack();
}
